@font-face {
  font-family: ABCFavoritVariable;
  src: url('/css/fonts/ABCFavoritVariable.woff') format('woff'),
    url('/css/fonts/ABCFavoritVariable.woff2') format('woff2')
}

html,
body {
  box-sizing: border-box;
  font-family: "ABCFavoritVariable";
  margin: 0;
  padding: 0;
}

body {
  background-image: url('/img/Ellipse\ blur\ orange.png'), url('/img/digital\ dot\ cloud.png');
  background-size: 100%, 100%;
  /* Растянуть фон на весь экран */
  background-position: left top, left top;
  /* Расположить фоны: первая - по центру, вторая - в левом верхнем углу */
  background-repeat: no-repeat, no-repeat;
  /* Запретить повторение первой картинки, разрешить повторение второй */
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

/* navigation */
nav {
  position: fixed;
  width: 100%;
  text-align: right;
  background-color: rgba(255, 255, 255, 0);
  /* Начальный прозрачный фон */
  transition: background-color 1s ease;
  padding: 20px;
}

nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

nav li {
  display: inline-block;
  margin-right: 30px;
}

nav a {
  color: #395C6B;
  font-family: IBM Plex Mono;
  font-size: 1rem;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  text-decoration: none;
}

nav a:hover {
  color: #E27152;
}

.nav-nums {
  font-family: IBM Plex Mono;
  font-weight: 800;
  font-size: 1rem;
  color: #E27152;
}

nav button {
  color: #E27152;
  font-family: ABCFavoritVariable;
  font-size: 1rem;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  display: inline-flex;
  padding: 1rem 2.25rem 1rem 2.25rem;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  cursor: pointer;
  border-radius: 0.5rem;
  border: 2px solid #E27152;
  background: #FFF;
}

nav button:hover {
  background-color: #E27152;
  border-color: #E27152;
  color: #ffffff;
}

nav button:active {
  background-color: #000;
  border-color: #000;
  color: #ffffff;
}

.sticky {
  top: 0;
  z-index: 1000;
}

/* end of navigation */
.container-wrapper {
  display: flex;
  flex-shrink: 0;
  padding-top: 5rem;
  padding-bottom: 10rem;
}

.container1 {
  display: flex;
  flex-direction: column;
  width: 60%;
  height: 65vh;
  padding: 7rem 0 0 10rem;
}

.container2myphoto {
  padding-top: 5rem;
}

.container2myphoto img {
  width: 100%;
  margin-bottom: 1em;
}

h1 {
  font-family: 'ABCFavoritVariable';
  font-weight: bold;
  font-size: 3rem;
  line-height: 1.2;
  color: #000000;
  margin: 0;
}

.container-wrapper p {
  color: #777777;
  font-family: ABCFavoritVariable;
  font-weight: 500;
  line-height: 1.5;
  font-size: 1rem;
}

#hi {
  color: #395C6B;
  font-family: IBM Plex Mono;
  font-size: 1.2rem;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}
#tech-stack-container {
  display: flex;
  margin-top: auto;
}

#tech-stacklist {
  display: flex;
  gap: 2em;
  list-style: none;
}
#tech-stacklist li{
  width: 25px;
}

#article2 {
  margin: 0;
  padding-bottom: 1rem;
  padding-top: 4rem;
  background-color: #EEF0F6;
  color: #395C6B;
  text-align: center;
  font-family: ABCFavoritVariable;
  font-size: large;
  font-weight: 400;
  line-height: 1.7;
}

#article2 img {
  max-width: 100vw;
}

.intro-p {
  margin: 0 2rem;
  font-size: 1.3em;
}

.container-wrapper1 {
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  /* shadow :) */
  border-radius: 8px;
  display: grid;
  gap: 6rem;
  grid-template-columns: 1fr 1fr;
  margin: 0 5rem 5rem 5rem;
  padding: 2rem 5rem 5rem 5rem;
}

.container-wrapper1 article {
  text-align: start;
}

.container-wrapper1 h2 {
  font-family: ABCFavoritVariable;
  font-weight: 900;
}

#dze_design-text {
  flex-grow: 1;
}

.ot {
  margin-top: auto 0;
}

.orangetext {
  color: #E27152
}

.b-button {
  background-color: #2C65F7;
  border-radius: 0.5em;
  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: auto;
  padding: 0 2em;
  border: none;
  font-size: 1em;
  align-content: end;
}

.design {
  display: flex;
  flex-direction: column;
}

.coding {
  display: flex;
  flex-direction: column;
}

.g-button {
  background-color: #395C6B;
  border-radius: 0.5em;
  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.4em 2em;
  border: none;
  font-size: 1em;
  margin-top: auto;
}

.b-icon {
  width: 25px;
  height: 25px;
  margin: 0.5em;
}

.g-icon {
  width: 30px;
  height: 30px;

}

.icons {
  margin: 0.2em 0 0 0.7em;
}

/* gallery ------------------------------------------------- */
#projects {
  display: flex;
  flex-wrap: wrap;
}

#projects a {
  display: flex;
  width: 100%;
}

.gallery-container1 {
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  margin: 0;
  padding: 0;
  width: 100vw;
  grid-template-areas:
    "first_el first_el second_el"
    "first_el first_el third_el";
}

.gallery-container2 {
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  margin: 0;
  padding: 0;
  width: 100vw;
  grid-template-areas:
    "fourth_el sixth_el sixth_el"
    "fifth_el sixth_el sixth_el";
}

.item_header {
  display: none;
  justify-content: space-between;
  padding: 1rem;
  border: 0.5px solid #e2e2e2;
  border-radius: 30px 30px 0 0;
  overflow: hidden;
  color: #395C6B;
  margin: 1em 0 0 0;
  background-color: #ffffff;
}

.category {
  display: flex;
  align-items: center;
  background-color: #eef0f6a6;
  color: #395C6B;
  border-radius: 30px;
  padding: 0 1rem;
  height: 2.5rem;
}

.pr_name_discr {
  align-self: center;
  font-family: IBM Plex Mono;
  margin: 0.2rem;
}

.pr_name_discr h3,
.pr_name_discr p {
  margin: 0.2rem;
}

.image {
  width: 100%;
}

.first_el {
  grid-area: first_el;
  /* display: flex; */
  justify-content: start;
}

.f {
  display: flex;
  justify-content: start;
}

.second_el {
  /* grid-row: 1/2;
    grid-column: 3/4; */
  display: flex;
  grid-area: second_el;

}

.third_el {
  /* grid-row: 2/3;
    grid-column: 3/4; */
  display: flex;
  grid-area: third_el;

}

.fourth_el {
  /* grid-row: 1/2;
  grid-column: 1/2; */
  display: flex;
  grid-area: fourth_el;
}

.fifth_el {
  /* grid-row: 2/3;
  grid-column: 1/2; */
  display: flex;
  grid-area: fifth_el;
}

.sixth_el {
  /* grid-row: 1/3;
  grid-column: 2/4; */
  display: flex;
  grid-area: sixth_el;

}

#work span {
  font-size: 16pt;
}

.gallery-item {
  position: relative;
  height: auto;
  overflow: hidden;
  margin-bottom: 0;
}

.gallery-item img {
  width: 100%;
  height: auto;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.gallery-item video {
  width: 100%;
  height: auto;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  padding: 0px;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.gallery-item:hover .overlay {
  opacity: 1;
}

.text {
  font-family: ABCFavoritVariable;
  font-size: 9pt;
  letter-spacing: 2pt;
  padding: 1rem;
  color: #fff;
  text-transform: uppercase;
  text-align: left;
}

.gallerylinks {
  padding: 0;
  margin: 0;
}

/* footer ---------------------- */
footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding-left: 5rem;
  padding-top: 3rem;
  background-color: #E27152;
  color: #FFF;
  font-family: ABCFavoritVariable;
  ;
  position: relative;
}

footer h3 {
  width: 100%;
}

#copyright {
  margin: 2rem 4rem 0 0;
  justify-content: left;
  width: 100%;
}

#copyright span {
  font-size: 16pt;
}

.footerlink {
  color: #FFF;
  font-weight: 300;
  font-size: 1rem;
  width: 4rem;
  height: 9.125rem;
  text-decoration: none;
}

footer ul.no-bullets {
  list-style-type: none;
  padding: 0px;
  margin: auto;
}

footer ul.mobile {
  display: none;
}

.no-bullets li {
  margin-bottom: 25px;
}

.no-bullets li:nth-of-type(2) {
  display: flex;
  flex-wrap: wrap;
  justify-content: start;
}

#footermoto {
  display: flex;
  flex-wrap: wrap;
  color: #FFF;
  font-family: ABCFavoritVariable;
  font-size: 2.65rem;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  width: 80%;
  margin-left: 1em;
}
#social-links {
  position: relative;
  z-index: 1;
}

#quotes {
  font-family: ABCFavoritVariable;
  font-size: 96px;
  font-weight: 900;
  line-height: 1em;
  color: rgba(255, 255, 255, 0.485);
  margin: 0;
}

#canvas3d {
  display: flex;
  justify-content: center;
  position: absolute;
  top: -38px;
  left: -80px;
  z-index: 0;

}
.icon {
  margin-right: 1rem;
}

/* Large devices (desktops, 1024px and up)*/
@media only screen and (max-width: 64em) {
  .container-wrapper {
    display: flex;
    padding-top: 5rem;
    padding-bottom: 10rem;
    
  }
  
  .container1 {
    display: flex;
    flex-direction: column;
    width: 60%;
    height: 65vh;
  }

  .container2myphoto {
    padding: 5em;
  }

  #tech-stack-container {
    margin: 0;
  }

}

/* Medium devices (tablets, 768px and up)*/
@media only screen and (max-width: 48em) {

  body {
    background-size: calc(400px + 40vw);
  }

  nav ul {
    display: none;
  }

  #navbar .menu-toggle {
    /* showing only in mobile */
    display: block;
    cursor: pointer;
  }

  #navbar .menu-toggle .bar {
    /* burger icon */
    display: block;
    width: 25px;
    height: 3px;
    background-color: #395C6B;
    margin: 5px auto;
    transition: background-color 0.3s ease;
  }

  #navbar .menu-toggle.open .bar:nth-child(1) {
    /* animation at open/close */
    transform: translateY(8px) rotate(45deg);
  }

  #navbar .menu-toggle.open .bar:nth-child(2) {
    opacity: 0;
  }

  #navbar .menu-toggle.open .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

  #navbar ul.show {
    /* to show when open */
    display: block;
    text-align: center;
    background-color: rgba(255, 255, 255);
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    z-index: 1000;
    padding: 20px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
  }

  #navbar ul.show li {
    display: block;
    margin-bottom: 3em;
  }

  .container-wrapper {
    flex-wrap: wrap;
    justify-content: center;
  }

  .container2myphoto {
    order: 0;
    margin-top: 2em;
  }

  .container1 {
    order: 1;
    padding: 0;
    height: 35vh;
    
  }

  .container-wrapper1 {
    display: block;
    margin: 1em;
    padding: 2em;
    /* height: 60vh; */
  }

  .design h2 {
    margin: 0;
  }

  .design {
    margin: 2em 0;

  }

  .coding {
    margin: 4.5em 0 1em 0;
  }

  .coding h2 {
    margin: 0;
  }

  #projects {
    display: flex;
    flex-wrap: wrap;
    box-sizing: margin-box;
    padding-bottom: 1em;
    background-color: #EEF0F6;
  }

  .item_header {
    display: flex;
  }

  #projects h2 {
    display: none;
    margin-left: 0 0 0 1em;
  }

  .gallery-container1 {
    display: block;
    margin: 0 1em 0 1em;
  }

  .gallery-container2 {
    display: block;
    border-collapse: collapse;
    margin: 0 1em 0 1em;
  }



  .r {
    border-radius: 0 0 30px 30px;
  }

  .second_el:nth-child(2) {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  .third_el:nth-child(1) {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  .fourth_el:nth-child(2) {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  .fifth_el {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  .sixth_el {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }


  #footermoto {
    flex-grow: 1;
    margin: 0;
  }

  #quotes {
    width: 10%;
  }

  #quotation {
    width: 80%;
  }

  #canvas3d {
    display: flex;
    justify-content: center;
  }
}

/* Small devices (phones, 442px and up)*/
@media only screen and (max-width: 27.625em) {
  .container-wrapper {
    display: flex;
    padding-top: 5rem;
    padding-bottom: 0;
    
  }
  
  .container1 {
    display: flex;
    flex-direction: column;
    height: 85vw;
  }

 h1 {
  font-size: 2em;
 }

 .container1 p {
  font-size: 0.8em;
 }

  #projects {
    display: flex;
    flex-wrap: wrap;
    box-sizing: margin-box;
    padding-bottom: 1em;
    background-color: #EEF0F6;
  }

  #projects h2 {
    display: none;
    margin-left: 0 0 0 1em;
  }

  .gallery-container1 {
    display: block;
    margin: 0 1em 0 1em;
  }

  .gallery-container2 {
    display: block;
    border-collapse: collapse;
    margin: 0 1em 0 1em;
  }
.container2myphoto {
padding: 2em 3em; 
margin: 0;
}
  .item_header {
    display: flex;
  }

  .r {
    border-radius: 0 0 30px 30px;
  }

  .second_el:nth-child(2) {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  .third_el:nth-child(1) {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  .fourth_el:nth-child(2) {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  .fifth_el {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  .sixth_el {
    border: 0.5px solid #e2e2e2;
    margin-top: -1px;
  }

  footer {
    padding: 1.5em 0 0 2.5em;
  }

  #footermoto {
    margin: 0 0 0 1em;
  }

  #quotation {
    margin: 0;
    position: relative;
    
  }

  #quotes {
    margin-left: 0.1em;
    position: relative;
    left: -20px;
  }

}
